亚马逊卖家资料
Amazon Seller Profile 返回亚马逊卖家的公开资料,包括企业详情、店铺链接、评分和反馈摘要。
Endpoint
Section titled “Endpoint” GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=seller_profile
Parameters
Section titled “Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | 您的 SERP API 密钥(与 Amazon 共用)。 |
engine | string | yes | 必须为 amazon。 |
type | string | yes | 必须为 seller_profile。 |
seller_id | string | yes | 亚马逊卖家 ID(例如 AAZRLVTNON75Z)。 |
domain | string | no | 市场域名,默认 amazon.com。 |
device | desktop | mobile | no | 模拟设备。 |
Example request
Section titled “Example request”curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=seller_profile&seller_id=AAZRLVTNON75Z"import requests
params = { "engine": "amazon", "api_key": "YOUR_API_KEY", "type": "seller_profile", "seller_id": "AAZRLVTNON75Z",}r = requests.get("https://ecom.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://ecom.shifter.io/v1?' + new URLSearchParams({ engine: 'amazon', api_key: 'YOUR_API_KEY', type: 'seller_profile', seller_id: 'AAZRLVTNON75Z',});
const res = await fetch(url);const data = await res.json();Example response
Section titled “Example response”{ "search_parameters": { "amazon_url": "https://www.amazon.com/sp?seller=AAZRLVTNON75Z", "engine": "amazon", "amazon_domain": "amazon.com", "type": "seller_profile", "seller_id": "AAZRLVTNON75Z" }, "seller_profile": { "seller_details": { "name": "Triplenet Pricing INC", "store_link": "https://www.amazon.com/s?me=AAZRLVTNON75Z", "logo": "https://m.media-amazon.com/images/I/11kriIp42uL.jpg", "rating": 4, "ratings_total": 4078, "ratings_positive_percentage": 74, "business_name": "Delaware", "business_address": "86 Albe Drive Suite 1C NEWARK DE 19702 US" }, "feedback_summary": [ { "positive_percent": 75, "neutral_percent": 1, "negative_percent": 24, "count": 366 }, { "positive_percent": 74, "neutral_percent": 2, "negative_percent": 24, "count": 4078 } ] }}